## edu.stanford.nlp.tagger.maxent
Class TaggerExperiments

    java.lang.Object
      edu.stanford.nlp.maxent.Experiments
          edu.stanford.nlp.tagger.maxent.TaggerExperiments

    public class TaggerExperiments

extends Experiments

This class represents the training samples. It can return statistics of them, for example the frequency of each x or y in the training data.

Author:
  Kristina Toutanova

Field Summary

Fields inherited from class edu.stanford.nlp.maxent.Experiments
`maxY, px, pxy, py, values, vArray, xSize, ySize`

Constructor Summary
`protected` `TaggerExperiments(TaggerConfig config, MaxentTagger maxentTagger)`

Method Summary
`protected boolean` `add(FeatureKey s)` Adds a FeatureKey to the set of known FeatureKeys.
`TaggerFeatures` `getTaggerFeatures()`
`protected static boolean` `isPopulated(int fNo, int size, MaxentTagger maxentTagger)`
`protected boolean` `populated(int fNo, int size)`

Methods inherited from class edu.stanford.nlp.maxent.Experiments
`add, createIndex, get, getNumber, numY, print, print, ptilde, ptilde, ptildeX, ptildeXY, ptildeY, setMaxY, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggerExperiments

    protected TaggerExperiments(TaggerConfig config,
                                MaxentTagger maxentTagger)
                         throws IOException

Throws:
  `IOException`

Method Detail

### getTaggerFeatures

    public TaggerFeatures getTaggerFeatures()

### add

    protected boolean add(FeatureKey s)

  Adds a FeatureKey to the set of known FeatureKeys.

  Parameters:
    `s` - The feature key to be added
  Returns:
    Whether the key was already known (false) or added (true)

### populated

    protected boolean populated(int fNo,
                                int size)

### isPopulated

    protected static boolean isPopulated(int fNo,
                                         int size,
                                         MaxentTagger maxentTagger)

Stanford NLP Group